    # ldapi.style24.com
    server {
        listen       80;
        server_name  ldapi.style24.com;

        charset utf-8;

        location / {
            proxy_redirect     off;
            proxy_set_header   Host             $host;
            proxy_set_header   X-Real-IP        $remote_addr;
            proxy_set_header   X-Forwarded-For  $remote_addr;

            proxy_pass   http://ldapi.style24.com:8320;

            proxy_connect_timeout 300;
            proxy_send_timeout 300;
            proxy_read_timeout 300;
            send_timeout 300;
        }
    }

    # ldadmin.style24.com
    server {
        listen       80;
        server_name  ldadmin.style24.com;

        charset utf-8;

        location / {
            proxy_redirect     off;
            proxy_set_header   Host             $host;
            proxy_set_header   X-Real-IP        $remote_addr;
            proxy_set_header   X-Forwarded-For  $remote_addr;

            proxy_pass   http://ldadmin.style24.com:8321;

            proxy_connect_timeout 300;
            proxy_send_timeout 300;
            proxy_read_timeout 300;
            send_timeout 300;
        }
    }

    # ldfront.style24.com
    server {
        listen       80;
        server_name  ldfront.style24.com;

        charset utf-8;

        location / {
            proxy_redirect     off;
            proxy_set_header   Host             $host;
            proxy_set_header   X-Real-IP        $remote_addr;
            proxy_set_header   X-Forwarded-For  $remote_addr;

            proxy_pass   http://ldfront.style24.com:8322;

            proxy_connect_timeout 300;
            proxy_send_timeout 300;
            proxy_read_timeout 300;
            send_timeout 300;
        }
    }

    # ldscm.style24.com
    server {
        listen       80;
        server_name  ldscm.style24.com;

        charset utf-8;

        location / {
            proxy_redirect     off;
            proxy_set_header   Host             $host;
            proxy_set_header   X-Real-IP        $remote_addr;
            proxy_set_header   X-Forwarded-For  $remote_addr;

            proxy_pass   http://ldscm.style24.com:8323;

            proxy_connect_timeout 300;
            proxy_send_timeout 300;
            proxy_read_timeout 300;
            send_timeout 300;
        }
    }

    # ldimage.style24.com
    server {
        listen       80;
        server_name  ldimage.style24.com;

        charset utf-8;

        location / {
            root d:/WIDE/workspace/files/data/style24;
        }
    }
